Query Marketplace Offer
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/marketplace/offers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/offers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/marketplace/offers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/marketplace/offers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/marketplace/offers")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/marketplace/offers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"offerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopScxId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"offerType": 0,
"offerStatus": 0,
"isListed": true,
"deletionIntervalPendingOffer": 123,
"isExtern": true,
"stockUpdateEnabled": true,
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sKU": "<string>",
"productNumber": "<string>",
"offerTitle": "<string>",
"channelName": "<string>",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channel": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"categoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelCategoryId": "<string>",
"channelCategoryName": "<string>",
"netPrice": 123,
"percent": 123,
"priceId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salePriceNet": 123,
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"currency": "<string>",
"availableQuantity": 123,
"quantityInOrders": 123,
"inboundQuantity": 123,
"gTIN": "<string>",
"productWeight": 123,
"mPN": "<string>",
"iSBN": "<string>",
"aSIN": "<string>",
"manufacturer": "<string>",
"purchasePriceNet": 123,
"activeSince": "2023-11-07T05:31:56Z",
"processingTime": 123,
"inboundAvailableAt": "2023-11-07T05:31:56Z",
"listingUrl": "<string>",
"salesChannelItemDataId": 123,
"minimumStock": 123,
"maximumStock": 123,
"lastUpload": "2023-11-07T05:31:56Z",
"shopName": "<string>",
"quantityUpdatedAt": "2023-11-07T05:31:56Z",
"priceUpdatedAt": "2023-11-07T05:31:56Z",
"statusReceivedAt": "2023-11-07T05:31:56Z",
"lastUploadedPrice": 123,
"channelOfferId": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Marketplace Offer
Query Marketplace Offer
deprecated
Delivers a queryable list of marketplace offers. Deprecated: use “GET /v2/scx/offers” or “QueryScxOffers” instead, which require the “scxoffers.read” scope.
Paged query. Query parameters: pageNumber (default 1), pageSize (default 100). Sorting via sortBy (comma-separated fields, applied as OrderBy then ThenBy) and sortDescending (default false). Date filtering per date field via After (greater than) and Before (less than).
GET
/
v2
/
marketplace
/
offers
Query Marketplace Offer
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/marketplace/offers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/offers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/marketplace/offers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/marketplace/offers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/marketplace/offers")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/marketplace/offers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"offerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopScxId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"offerType": 0,
"offerStatus": 0,
"isListed": true,
"deletionIntervalPendingOffer": 123,
"isExtern": true,
"stockUpdateEnabled": true,
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sKU": "<string>",
"productNumber": "<string>",
"offerTitle": "<string>",
"channelName": "<string>",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channel": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"categoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelCategoryId": "<string>",
"channelCategoryName": "<string>",
"netPrice": 123,
"percent": 123,
"priceId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salePriceNet": 123,
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"currency": "<string>",
"availableQuantity": 123,
"quantityInOrders": 123,
"inboundQuantity": 123,
"gTIN": "<string>",
"productWeight": 123,
"mPN": "<string>",
"iSBN": "<string>",
"aSIN": "<string>",
"manufacturer": "<string>",
"purchasePriceNet": 123,
"activeSince": "2023-11-07T05:31:56Z",
"processingTime": 123,
"inboundAvailableAt": "2023-11-07T05:31:56Z",
"listingUrl": "<string>",
"salesChannelItemDataId": 123,
"minimumStock": 123,
"maximumStock": 123,
"lastUpload": "2023-11-07T05:31:56Z",
"shopName": "<string>",
"quantityUpdatedAt": "2023-11-07T05:31:56Z",
"priceUpdatedAt": "2023-11-07T05:31:56Z",
"statusReceivedAt": "2023-11-07T05:31:56Z",
"lastUploadedPrice": 123,
"channelOfferId": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Query Parameters
Was this page helpful?